Get Merge Conflict
curl --request GET \
--url https://api.recallrai.com/api/v1/users/{custom_user_id}/merge-conflicts/{conflict_id} \
--header 'X-Recallr-Api-Key: <x-recallr-api-key>' \
--header 'X-Recallr-Project-Id: <x-recallr-project-id>'import requests
url = "https://api.recallrai.com/api/v1/users/{custom_user_id}/merge-conflicts/{conflict_id}"
headers = {
"X-Recallr-Project-Id": "<x-recallr-project-id>",
"X-Recallr-Api-Key": "<x-recallr-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Recallr-Project-Id': '<x-recallr-project-id>',
'X-Recallr-Api-Key': '<x-recallr-api-key>'
}
};
fetch('https://api.recallrai.com/api/v1/users/{custom_user_id}/merge-conflicts/{conflict_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conflict": {
"conflict_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_user_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conflicting_memories": [
{
"memory_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"reason": "<string>",
"event_date_start": "2023-11-07T05:31:56Z",
"event_date_end": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"clarifying_questions": [
{
"question": "<string>",
"options": [
"<string>"
]
}
],
"resolution_data": {
"question_answers": [
{
"question": "<string>",
"answer": "<string>",
"message": "<string>"
}
]
},
"created_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"proposed_memory_content": "<string>",
"new_memories": [
{
"memory_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"event_date_start": "2023-11-07T05:31:56Z",
"event_date_end": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Merge Conflicts
Get Merge Conflict
Retrieve detailed information about a specific merge conflict.
Get complete details about a memory merge conflict including the proposed memory content, conflicting existing memories, and clarifying questions to help resolve the conflict.
Path Parameters:
custom_user_id(str): Unique identifier for the user owning the merge conflictconflict_id(UUID): Merge conflict UUID to retrieve
Returns:
conflict(MergeConflictInfo): Conflict details with proposed_memory_content, conflicting_memories, clarifying_questions, status, and timestamps
GET
/
api
/
v1
/
users
/
{custom_user_id}
/
merge-conflicts
/
{conflict_id}
Get Merge Conflict
Path Parameters
Custom user ID owning the merge conflict
ID of the merge conflict to retrieve
Response
Merge conflict retrieved successfully
Response containing merge conflict details.
Information about a merge conflict.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

